package com.dlc.exam.ui.exam;

import androidx.annotation.NonNull;
import androidx.viewbinding.ViewBinding;

import com.rc.core.ui.fragment.RcBaseFragment;

/**
 * info
 *
 * @author ReiChin_
 */
public interface ExamFragmentCallback {

    void switchFragment(@NonNull RcBaseFragment<? extends ViewBinding> fragment, String fragmentTag);

    /**
     * 考前人脸验证成功
     */
    void preFaceMatchingSuccess();

    /**
     * 交卷
     *
     * @param faceMatched true：已经通过了人脸验证
     */
    void submitExam(boolean faceMatched);

}
